# Standard

These responses are Internet protocol codes that describe basic issues with a submitted transaction.

&#x20;\- STATUS CODE -&#x20;

* OK `200`

  The request has succeeded.
* Bad Request `400`

  The request as invalid in some way.
* Not Found `404`

  The requested resource does not exist.
* Not Implemented `404`

  The request does not have an acceptable response content-type.
* Not Acceptable `406`

  The request does not have an acceptable response content-type.
* Internal Server Error `500`

  Something went wrong on the Horizon server’s end.

```bash
{
  "type": "https://expansion-testnet.bantu.network/horizon-errors/bad_request",
  "title": "Bad Request",
  "status": 400,
  "detail": "The request you sent was invalid in some way",
  "extras": {
    "invalid_field": "limit",
    "reason": "unparseable value"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/errors/http-status-codes/standard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
